;; -> init

JumpPaths := { s: env("Sync")
             , w: env("Sync") "\Projekt\john.ankarstrom.se\htdocs"
             , g: env("Sync") "\Projekt\git"
             , e: env("Personal")
             , d: env("Personal") "\Downloads"
             , m: env("Personal") "\MP3"
             , p: env("Personal") "\My Pictures" }

;; -> body

; Open in new Explorer window

#s::
ToolTip, ...
SendInput, {Blind}{LWin Up}
Input, k, C L1
if (JumpPaths[k] != "")
{
  if (InStr(FileExist(JumpPaths[k]), "D"))
    Run, % "explorer /n, """ JumpPaths[k] """"
  else
    Run, % """" JumpPaths[k] """"
}
ToolTip
return

; Open in current (or new) Explorer window

!#s::
ToolTip, ...
SendInput, {Blind}{LWin Up}
Input, k, L1  
if (JumpPaths[k] != "")
  if ((e := Explorer()) != -1) ; (see tt.programs.explorer.ahk)
    e.Navigate(JumpPaths[k])
  else
    Run, % "explorer """ JumpPaths[k] """"
ToolTip
return

;; -> library

env(name)
{
  EnvGet, r, %name%
  return r
}
